%define archivever 1-5

Name:    xgridfit
Version: 1.5
Release: 2%{?dist}
Summary: Font hinting tool

# This is where we drop fontforge
Group:   Applications/Publishing
License: LGPLv2
URL:     http://%{name}.sf.net/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{archivever}.tar.gz

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch

Requires:        %{_bindir}/xsltproc

%description
Xgridfit is a high-level, XML-based language for gridfitting, or "hinting",
fonts. The Xgridfit program compiles an XML source file into tables and
instructions that relate to the gridfitting of glyphs. Xgridfit does not
insert these elements into a font itself, but rather relies on FontForge, the
Open-Source font editor, to do so.


%package doc
Group:    Documentation
Summary:  Font hinting tool use documentation
# Does not really make sense without the tool itself
Requires: %{name} = %{version}-%{release}

%description doc
Xgridfit font hinting tool user documentation.


%prep
%setup -q -n %{name}


%build
# Nothing to do


%install
rm -fr %{buildroot}

install -d -m 0755 %{buildroot}/%{_bindir}
sed 's+^XSLT_DIR=\(.*\)$+XSLT_DIR=%{_datadir}/xml/%{name}/lib/+g' \
    bin/xgridfit > %{buildroot}/%{_bindir}/xgridfit
sed 's+^XSLT_DIR=\(.*\)$+XSLT_DIR=%{_datadir}/xml/%{name}/utils/+g' \
    bin/xgfupdate > %{buildroot}/%{_bindir}/xgfupdate
sed 's+^XSLT_DIR=\(.*\)$+XSLT_DIR=%{_datadir}/xml/%{name}/utils/+g' \
    bin/ttx2xgf > %{buildroot}/%{_bindir}/ttx2xgf


install -d -m 0755 %{buildroot}/%{_datadir}/xml/%{name}/{lib,utils,schemas}
for dir in lib schemas utils ; do
   install -p -m 0644 $dir/* %{buildroot}/%{_datadir}/xml/%{name}/$dir
done

install -d -m 0755 %{buildroot}/%{_mandir}/man1
install -p -m 0644 man/*.1 %{buildroot}/%{_mandir}/man1


%clean
rm -fr %{buildroot}


%files
%defattr(0644,root,root,0755)
%doc COPYING ChangeLog

%{_datadir}/xml/%{name}
%{_mandir}/man1/*

%defattr(0755,root,root,0755)
%{_bindir}/*


%files doc
%defattr(0644,root,root,0755)
%doc docs/*


%changelog
* Thu Mar 13 2008 <nicolas.mailhot at laposte.net>
- 1.5-2
✓ Fix path munging

* Tue Mar 11 2008 <nicolas.mailhot at laposte.net>
- 1.5-1
✓ Initial Fedora packaging
